#include <iostream>
using namespace std;
int main(){
    long long x1,x2,y1,y2;
    cin>>x1>>y1;
    cin>>x2>>y2;
    if(x1==x2 && y1==y2){
        return 0;
    }
    if(x1==x2 || y1==y2){
        cout<<2;
        return 0;
    }else{
        cout<<1;
        return 0;
    }

}